#
# spec file for package ocaml-base64
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with ocaml_base64_testsuite
%define build_flavor %nil
%if "%build_flavor" == "testsuite"
%if %{without ocaml_base64_testsuite}
ExclusiveArch:  do-not-build
%else
%endif
%define nsuffix -testsuite
%else
%define nsuffix %nil
%endif

%define     pkg ocaml-base64
Name:           %pkg%nsuffix
Version:        3.5.1
Release:        3.1
%{?ocaml_preserve_bytecode}
Summary:        Base64 encoding and decoding in OCaml
License:        ISC
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/base64
Source0:        %pkg-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 2.3
BuildRequires:  ocaml-rpm-macros >= 20230101

%if "%build_flavor" == "testsuite"
BuildRequires:  ocamlfind(alcotest)
BuildRequires:  ocamlfind(base64)
BuildRequires:  ocamlfind(bos)
BuildRequires:  ocamlfind(fmt)
BuildRequires:  ocamlfind(rresult)
%endif

%description
Base64 for OCaml. Base64 is a group of similar binary-to-text encoding schemes
that represent binary data in an ASCII string format by translating it into a
radix-64 representation. It is specified in RFC 4648.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1 -n %pkg-%version

%build
dune_release_pkgs='base64'
%ocaml_dune_setup
%if "%build_flavor" == ""
%ocaml_dune_build
%endif

%install
%if "%build_flavor" == ""
%ocaml_dune_install
%ocaml_create_file_list
%endif

%if "%build_flavor" == "testsuite"
%check
%ocaml_dune_test
%endif

%if "%build_flavor" == ""
%files -f %name.files

%files devel -f %name.files.devel

%endif

%changelog
* Fri Apr  4 2025 ohering@suse.de
- Remove ExclusiveArch 64bit
* Wed Mar 26 2025 ohering@suse.de
- allow only 64bit to follow other packages
* Fri Mar  3 2023 ohering@suse.de
- Update to version 3.5.1
  See included CHANGES.md for details
* Fri Apr  9 2021 Benjamin Greiner <code@bnavigator.de>
- Initial version 3.5.0
